## loginkit 0.1

=== Makefile ===
include ./Makefile.common

DESTDIR ?=

INSTALL = install -v
LN = ln -v

all: loginkitd/loginkitd

loginkitd/loginkitd:
	cd loginkitd; $(MAKE)

install: all
	$(INSTALL) -D -m 755 loginkitd/loginkitd $(DESTDIR)/$(SBIN_DIR)/loginkitd
	$(INSTALL) -D -m 644 loginkitd/org.freedesktop.login1.service $(DESTDIR)/$(DATA_DIR)/dbus-1/system-services/org.freedesktop.login1.service

clean:
	cd loginkitd; $(MAKE) clean

=== loginkitd/Makefile ===
include ../Makefile.common

PROG = loginkitd

all: $(PROG) org.freedesktop.login1.service

loginkitd-generated.c loginkitd-generated.h: interface.xml
	gdbus-codegen --generate-c-code \
	              loginkitd-generated \
	              --c-namespace LoginKit \
	              --interface-prefix org.freedesktop.login1. \
	              $^

%.o: %.c loginkitd-generated.h
	$(CC) -c -o $@ $< $(CFLAGS) $(GIO_CFLAGS)

$(PROG): $(OBJS) loginkitd-generated.o
	$(CC) -o $@ $^ $(LDFLAGS) $(LIBS) $(GIO_LIBS)

org.freedesktop.login1.service: org.freedesktop.login1.service.in
	sed s~"@SBIN_DIR@"~"$(SBIN_DIR)"~ $^ > $@

clean:
	rm -f org.freedesktop.login1.service $(PROG) $(OBJS) loginkitd-generated.h loginkitd-generated.c

=== debian/control ===
Source: loginkit
Section: admin
Priority: optional
Maintainer: Dima Krasner <dima@dimakrasner.com>
Build-Depends: debhelper (>= 8.0.0), libglib2.0-dev, pkg-config
Standards-Version: 3.9.4
Homepage: https://git.devuan.org/pkgs-utopia-substitution/loginkit
Vcs-Git: https://git.devuan.org/pkgs-utopia-substitution/loginkit.git -b jessie
Vcs-Browser: https://git.devuan.org/pkgs-utopia-substitution/loginkit

Package: loginkit
Architecture: any
Depends: ${misc:Depends}, dbus
Description: LoginKit daemon
 LoginKit is a minimalistic logind replacement.
 .
 This package provides the LoginKit daemon, which exposes a Inhibit() stub.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) install
